Summary:	%{name}
Name:		gnome-icon-theme
Version:	2.14.2
Release:	1
Group:		Libraries
Copyright:	LGPL
Source0:        %{name}-%{version}.tar.bz2
Source1:	eXperienceCrystal.tar.gz
URL:		http://ftp.gnome.org/pub/GNOME/sources/,http://freshmeat.net/projects/experience/
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	gnome-themes-engines

%description
%{name}

%prep
%setup -q

%build
#intltoolize -f
%configure --enable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor; cp index.theme $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
make DESTDIR=$RPM_BUILD_ROOT install
tar xzpf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps; cd $RPM_BUILD_ROOT%{_datadir}/pixmaps; ln -sf ../icons/* .
#rm -r $RPM_BUILD_ROOT%{_datadir}/gtk-doc
# remove backup files that shouldn't be here.  Fix me.
find $RPM_BUILD_ROOT%{_datadir}/icons -name \*~ | xargs rm -rvf
# No, we don't need to package these either
find $RPM_BUILD_ROOT%{_datadir}/icons -type d -name ".xvpics" | xargs rm -rvf
# sanitize permissions
find $RPM_BUILD_ROOT%{_datadir}/icons -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_datadir}/icons -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/icons -type f -name "*.svg" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%{_datadir}/icons -type f -name "index.theme" -exec chmod 644 {} \;
chown -R root:root $RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
